# Interface RcsbFv3DAbstractInterface<T, R, S, U>

#### Type Parameters

- #### T

- #### R

- #### S

- #### U

#### Hierarchy

- RcsbFv3DAbstractInterface

- Defined in RcsbFv3D/RcsbFv3DAbstract.tsx:12

#####
Index

### Properties

cssConfig?
elementId
sequenceConfig
structureConfig
structureViewer
structureViewerBehaviourObserver

## Properties

### `Optional` cssConfig

cssConfig?: RcsbFv3DCssConfig

- Defined in RcsbFv3D/RcsbFv3DAbstract.tsx:14

### elementId

elementId: string

- Defined in RcsbFv3D/RcsbFv3DAbstract.tsx:13

### sequenceConfig

sequenceConfig: RcsbFvSequenceInterface<T, R, U>

- Defined in RcsbFv3D/RcsbFv3DAbstract.tsx:15

### structureConfig

structureConfig: RcsbFvStructureConfigInterface<R, S>

- Defined in RcsbFv3D/RcsbFv3DAbstract.tsx:16

### structureViewer

structureViewer: StructureViewerInterface<R, S>

- Defined in RcsbFv3D/RcsbFv3DAbstract.tsx:17

### structureViewerBehaviourObserver

structureViewerBehaviourObserver: StructureViewerBehaviourObserverInterface<R>

- Defined in RcsbFv3D/RcsbFv3DAbstract.tsx:18

Generated using TypeDoc